%define module      Email-Simple-Creator
%define name        perl-%{module}
%define up_version  1.424
%define version     %perl_convert_version %{up_version}
%define release     %mkrel 5

%define _provides_exceptions perl(Email::Simple)

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary:        Email::Simple constructor for starting anew
License:        GPL or Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/%{module}
Source:         http://www.cpan.org/modules/by-module/Email/%{module}-%{up_version}.tar.gz
BuildRequires:  perl(Email::Date)
BuildRequires:  perl(Email::Date::Format)
BuildRequires:  perl(Email::Simple)
Requires:       perl(Email::Date::Format)
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}

%description
This software provides a constructor to Email::Simple for creating messages
from scratch.

%prep
%setup -q -n %{module}-%{up_version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README Changes
%{perl_vendorlib}/Email
%{_mandir}/*/*




%changelog
* Thu May 21 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.424.0-5mdv2010.0
+ Revision: 378279
- use new %%rpm_convert_version macro
- fix dependencies

* Thu Dec 18 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.42.4-4mdv2009.1
+ Revision: 315516
- fix dependencies (fix #46440)

* Thu Jul 31 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.42.4-3mdv2009.0
+ Revision: 256790
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Dec 04 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.42.4-1mdv2008.1
+ Revision: 115148
- new version

* Sat Nov 17 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.42.3-1mdv2008.1
+ Revision: 109612
- new version (upstream version 1.423)

* Thu Jul 26 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.42.2-1mdv2008.0
+ Revision: 56093
- new version


* Sun Jan 21 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.41-1mdv2007.0
+ Revision: 111343
- Import perl-Email-Simple-Creator

* Sun Jan 21 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.41-1mdv2007.1
- first mdv release

